Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager Class Reference

Inheritance diagram for TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager

[legend]
Collaboration diagram for TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager:

[legend]
List of all members.

## Public Methods
| TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager ( TAO_GIOP_Invocation *_tao_invocation, CORBA::Object_ptr _tao_target, CORBA_InterfaceDef_ptr object_type, const CORBA::Boolean & constr_policy, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
virtual Dynamic::ParameterList* | arguments ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual Dynamic::ExceptionList* | exceptions ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
virtual CORBA::Any* | result ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)
## Private Methods
| TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager (const TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager &)
void | operator= (const TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager &)
## Private Attributes
CORBA_InterfaceDef_ptr | object_type_
const CORBA::Boolean& | constr_policy_

## Constructor & Destructor Documentation

TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager ( | TAO_GIOP_Invocation * _tao_invocation,
| CORBA::Object_ptr _tao_target,
| CORBA_InterfaceDef_ptr object_type,
| const CORBA::Boolean & constr_policy,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )

TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager ( | const TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager & )`[private]`

## Member Function Documentation

Dynamic::ParameterList * TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::arguments ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

Dynamic::ExceptionList * TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::exceptions ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::operator= ( | const TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager & )`[private]`

CORBA::Any * TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::result ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

const CORBA::Boolean & TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::constr_policy_`[private]`

CORBA_InterfaceDef_ptr TAO_ClientRequestInfo_CORBA_ConstructionPolicy_make_domain_manager::object_type_`[private]`

The documentation for this class was generated from the following file:

- DomainC.cpp